# Type alias AsyncValidatorFn<T, E>

AsyncValidatorFn<T, E>: ((control) => Promise<ValidationErrors<E> | null> | Observable<ValidationErrors<E> | null>)

#### Type Parameters

- T = any
- E = any

#### Type declaration

- - (control): Promise<ValidationErrors<E> | null> | Observable<ValidationErrors<E> | null>

  - #### Parameters

    - control: AbstractControl<T>

    #### Returns Promise<ValidationErrors<E> | null> | Observable<ValidationErrors<E> | null>

- Defined in packages/angular/forms/src/lib/types.ts:17